Package helma.objectmodel.dom

# Class XmlUtil

java.lang.Object
helma.objectmodel.dom.XmlUtil

public class XmlUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`XmlUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Element`
`getFirstElement(Document document)`
get first "real" element (ie not the document-rootelement, but the next one
`static String`
`getTextContent(Node element)`
return the text content of an element
`static Document`
`newDocument()`
`static Document`
`parse(InputStream in)`
`static Document`
`parse(InputSource in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlUtil

public XmlUtil()

## Method Details

### newDocument

public static Document newDocument()

Returns:
  ...

### parse

public static Document parse(InputStream in) throws RuntimeException

Parameters:
  `in` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...

### parse

public static Document parse(InputSource in) throws RuntimeException

Parameters:
  `in` - ...
Returns:
  ...
Throws:
  `RuntimeException` - ...

### getFirstElement

public static Element getFirstElement(Document document)
get first "real" element (ie not the document-rootelement, but the next one

### getTextContent

public static String getTextContent(Node element)
return the text content of an element